# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Tar.pm) perl(Carton.pm) perl(Carton/Builder.pm) perl(Carton/Environment.pm) perl(Carton/Mirror.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(IO/Compress/Bzip2.pm) perl(IO/Uncompress/Bunzip2.pm) perl(Mojo/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name App-Implode
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Pack an application into a single runable file
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/app-implode

Source0: http://cpan.org.ua/authors/id/J/JH/JHTHORSEN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the App::Implode manpage is an alternative to the App::FatPacker manpage and the App::fatten manpage. It
works by using the Carton manpage to build all the dependencies and then bundle all the
deps to a single executable file.

It is very important that all the dependencies are documented in a
cpanfile. Example `cpanfile':

  requires "perl" => "5.12.0";
  requires "Mojolicious" => "5.00";

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
* Thu Dec 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

